/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34980A.h"

/// <summary>
///	A brief description of the implementing component.  Description is limted to
/// 256 bytes.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviComponentIdentity_get_Description(BSTR* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_Description(Val);

	return hr;
}

/// <summary>
///	The revision of the implementing component.  Refer to IVI 3.1, Section 3.1.2.2,
/// for a description of revision syntax and semantics.  Revision is limited to
/// 256 bytes.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviComponentIdentity_get_Revision(BSTR* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_Revision(Val);

	return hr;
}

/// <summary>
///	The name of the vendor that supplies the implementing component.  Vendor is
/// limited to 256 bytes.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IIviComponentIdentity_get_Vendor(BSTR* Val)
{
	HRESULT hr = S_OK;

	hr = DriverBase::get_Vendor(Val);

	return hr;
}


